Bug 1032670 - Review Request: docker-registry - Registry server for Docker
Summary: Review Request: docker-registry - Registry server for Docker
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Vincent Batts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-11-20 14:52 UTC by Marek Goldmann
Modified: 2014-02-17 14:59 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2013-12-19 07:16:14 UTC
vbatts: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Marek Goldmann 2013-11-20 14:52:46 UTC
Spec URL: http://goldmann.fedorapeople.org/package_review/docker-registry/1/docker-registry.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/docker-registry/1/docker-registry-0.6.0-1.fc20.src.rpm
Fedora Account System Username: goldmann

Description:

Registry server for Docker (hosting/delivering of repositories and images).

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6205675

P.S. This is my first python package, please be gentle :)

Comment 1 Daniel Walsh 2013-11-21 17:26:33 UTC
Should this be just a subpackage of docker?

Comment 2 Lokesh Mandvekar 2013-11-21 17:43:21 UTC
might be simpler to keep them separate :), but I'm ok with whatever. cc'ing Vincent and Matt.

Comment 3 Vincent Batts 2013-11-21 17:54:31 UTC
(In reply to Daniel Walsh from comment #1)
> Should this be just a subpackage of docker?

I don't think so. While it is from the dotcloud team, it is a separate project, subject to its own releases/fixes/etc.

/me starts to review this package

Comment 4 Marek Goldmann 2013-11-21 19:05:13 UTC
(In reply to Vincent Batts from comment #3)
> (In reply to Daniel Walsh from comment #1)
> > Should this be just a subpackage of docker?
> 
> I don't think so. While it is from the dotcloud team, it is a separate
> project, subject to its own releases/fixes/etc.

+1 This is a separate project. It doesn't even require docker to run. This package should be left as-is.

> /me starts to review this package

Thanks!

Comment 5 Vincent Batts 2013-11-26 20:32:23 UTC
Perhaps in the *.service file, it needs some logic to evaluate `firewall-cmd --add-port=${REGISTRY_PORT}/tcp` or similar for the configured port. Like a ExecStartPost and ExecStopPost to --remove-port=${REGISTRY_PORT}/tcp. Though in my trials of getting the docker-registry.service to handle this, the starting and stopping of the service just hang.

Maybe this needs to just be a documentation point for folks running a registry server, then they may want to have a permanent rule, like `firewall-cmd --zone=public --permanent --add-port=5000/tcp` just to be explicit.
What do you think?

The %files should include a line like '%doc LICENSE README.md'

Comment 6 Marek Goldmann 2013-11-27 08:37:13 UTC
Hi Vincent,

Thanks!

IMHO we should leave opening the firewall to the user, entirely. We don't do this for HTTPD, we shouldn't do this here too. I'll add a wiki page that describes how to use the registry later.

I've added the license file and readme files to the package as request. Forgot about that :)

Spec URL: http://goldmann.fedorapeople.org/package_review/docker-registry/2/docker-registry.spec
SRPM URL: http://goldmann.fedorapeople.org/package_review/docker-registry/2/docker-registry-0.6.0-2.fc20.src.rpm

Koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=6231055

Comment 7 Lokesh Mandvekar 2013-11-27 17:26:06 UTC
should we add conditionals for rhel right away, or better after review?

Comment 8 Vincent Batts 2013-11-27 17:36:32 UTC
i was chewing on that too.

something like:

%if 0%{?fedora} >= 18 || 0%{?rhel} >= 7
%post
%systemd_post %{name}.service

%preun
%systemd_preun %{name}.service

%postun
%systemd_postun_with_restart %{name}.service
%endif

And elsewhere, it works, but you still have to resolve all of the runtime dependencies (which are not in EPEL). 
Though, since all the runtime dependencies are available and used internally, then it would simplify things to have a single spec that works everywhere.

Comment 9 Marek Goldmann 2013-11-28 10:13:20 UTC
My POV is that the review request here is about Fedora, Rawhide especially. I have locally some code prepared to add EPEL support, but I'm waiting for approval, so I can work on a stable base.

Please let me know if you see blocking issues / you want to do additional review or please set the fedora-review flag to +, so I can proceed.

Comment 10 Vincent Batts 2013-11-29 18:58:04 UTC
I am not blocking on that. I also am not sure on the process of adding el6 dist to the fedora build/publish process later. We'll almost certainly be hoping for a RHEL build eventually.

Otherwise, LGTM.

Comment 11 Marek Goldmann 2013-11-30 10:48:52 UTC
Thanks!

I'll work on adding EPEL support immediately after I build it for Fedora.

New Package SCM Request
=======================
Package Name: docker-registry
Short Description: Registry server for Docker
Owners: goldmann
Branches: f19 f20 el6

Comment 12 Gwyn Ciesla 2013-12-01 21:47:21 UTC
Git done (by process-git-requests).

Comment 13 Fedora Update System 2013-12-02 09:37:16 UTC
docker-registry-0.6.0-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-registry-0.6.0-2.fc19

Comment 14 Fedora Update System 2013-12-02 09:37:28 UTC
docker-registry-0.6.0-2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-registry-0.6.0-2.fc20

Comment 15 Fedora Update System 2013-12-02 23:54:05 UTC
docker-registry-0.6.0-2.fc20 has been pushed to the Fedora 20 testing repository.

Comment 16 Fedora Update System 2013-12-03 08:53:11 UTC
docker-registry-0.6.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-registry-0.6.0-3.fc19

Comment 17 Fedora Update System 2013-12-03 08:53:23 UTC
docker-registry-0.6.0-3.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-registry-0.6.0-3.el6

Comment 18 Fedora Update System 2013-12-03 08:53:33 UTC
docker-registry-0.6.0-3.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-registry-0.6.0-3.fc20

Comment 19 Fedora Update System 2013-12-09 08:54:53 UTC
docker-registry-0.6.0-4.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/docker-registry-0.6.0-4.fc19

Comment 20 Fedora Update System 2013-12-09 08:55:07 UTC
docker-registry-0.6.0-4.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-registry-0.6.0-4.fc20

Comment 21 Fedora Update System 2013-12-09 08:55:19 UTC
docker-registry-0.6.0-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-registry-0.6.0-4.el6

Comment 22 Fedora Update System 2013-12-19 07:16:14 UTC
docker-registry-0.6.0-4.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 23 Fedora Update System 2013-12-19 07:19:39 UTC
docker-registry-0.6.0-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 24 Fedora Update System 2013-12-27 22:16:11 UTC
docker-registry-0.6.0-4.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 25 Marek Goldmann 2014-02-17 14:28:43 UTC
Package Change Request
======================
Package Name: docker-registry
New Branches: epel7
Owners: goldmann

Comment 26 Gwyn Ciesla 2014-02-17 14:59:09 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.